echo off
rem                         K E Y M A P
rem
rem  W. H. Geoghegan
rem  WHGEOG at PALOALTO
rem  Version 0.10  --   02/27/86
rem
rem  Print a keyboard map for a font on the Proprinter
rem  Usage:
rem    keymap [fontname] [/12]
rem  where:
rem  * "Fontname" is the (optional) pathname of the font for which a
rem    map is to be printed. If given, the font will be downloaded first.
rem    If omitted, it is assumed that a font has already been downloaded.
rem  * The /12 switch indicates that 12" paper is mounted in the printer.
rem    If omitted, 11" (US) paper is assumed.
if not %1+ == ?+ goto continue
echo Usage:
echo        KEYMAP [fontname] [/12]
echo Where:
echo        Fontname:  Pathname of font to be mapped. Default is existing
echo                   download font (if any).
echo        /12     :  Formats output for 12-inch paper. Default is 11-inch.
goto done
:continue
if %1+ == + goto fmt11
if %1+ == /12+ goto fmt12
rem
rem Assume arg-1 is a filename
rem
echo Downloading %1 to Proprinter...
copy %1/b lpt1:
if %2+ == /12+ goto fmt12
:fmt11
rem
rem Use outline map adjusted for 11" paper (default)
rem
echo Keyboard map adjusted for 11-inch paper...
copy keybd11.txt lpt1:
goto done
:fmt12
rem
rem Use outline map adjusted for 12" paper
rem
echo Keyboard map adjusted for 12-inch paper...
copy keybd12.txt lpt1:
:done
